export declare class CrosslabTransport {
    private buffer;
    private upstream;
    log(info: object): void;
    _set_upstream(upstream: (info: object) => void): void;
}
export declare const crosslabTransport: CrosslabTransport;
type LoggerOptions<logLevel extends string> = {
    transports?: {
        log: (info: object) => void;
    }[];
    levels?: Record<logLevel, number>;
    level?: logLevel;
};
export declare class Logger<logLevel extends string> {
    private levels;
    private transports;
    level: logLevel;
    constructor(options: LoggerOptions<logLevel>);
    log(level: logLevel, message: string | object, meta?: object): void;
}
export declare const logger: Logger<"fatal" | "error" | "warn" | "info" | "debug" | "trace">;
export {};
//# sourceMappingURL=logging.d.ts.map